课程内容

安装亚马逊连接器身份验证更新

从2020年7月开始,亚马逊连接器要求使用新的身份验证方法,这使您更容易设置连接器。

在更新之前,希望使用亚马逊连接器的Odoo客户必须申请通过亚马逊获取开发人员凭证,这是一个痛苦而漫长的过程,可能需要数周的时间。 从技术上讲,这种身份验证方法仍然可行,但是从2020年7月起,亚马逊将拒绝为Odoo客户提供开发人员凭证,并将为现有客户停用此类凭证。

本文档将帮助您安装更新并使用新的身份验证流程。

请注意,如果您的Odoo数据库是在发布更新后第一次创建的,则更新模块将自动安装。 您可以转到 应用 菜单,删除``应用``搜索页面并搜索``亚马逊``,以检查该模块是否已安装。 如果模块 [UNKNOWN NODE problematic]亚马逊/认证补丁*存在并且标记为已安装,则您的Odoo数据库已经是最新的,您可以继续执行 setup 亚马逊连接器的步骤.

通过新的Odoo模块可以使用新的身份验证机制。 为了能够安装它,您必须确保您的Odoo源代码是最新的。

如果您在Odoo.com或Odoo.sh平台上使用Odoo,则您的代码已经是最新的,您可以继续执行下一步。

如果您通过内部安装或通过合作伙伴使用Odoo,则必须按照`本文档页面中的详细说明更新安装<https://www.odoo.com/documentation/13.0/setup/update.html>`_ 或与您的整合伙伴联系。

新模块必须由您的Odoo实例 发现,才能在 应用 菜单中使用。

为此,请激活 开发人员模式,然后转到 应用 ‣ 更新应用程序列表. 向导将要求您确认。

警告

在复制或暂存环境中测试新模块之前,切勿在生产数据库中安装新模块。 对于Odoo.com客户,可以按照 :doc:[UNKNOWN NODE problematic]本文档页面 <../../db_management/db_online>`中的说明从数据库管理页面创建重复的数据库。对于Odoo.sh用户,您应该使用临时数据库或重复数据库。 对于本地用户,您应该使用暂存环境-您应该与集成合作伙伴联系,以获取有关如何在特定设置中测试新模块的更多信息。

该模块现在应该在 应用 菜单中可用。 删除``Apps`` 搜索页面,然后搜索``亚马逊``; 亚马逊/身份验证补丁 模块应可用于安装。 如果在更新可用模块列表后找不到模块,则表明您的Odoo源代码不是最新的; 请参阅此页面的第一步。

安装完模块后,您将需要在亚马逊卖家平台中生成一个授权令牌,并将其设置在您在Odoo中的亚马逊帐户中; 在 设置 页面中详细介绍了此过程。

视图
0 总浏览
0 成员的观点
0 公众浏览
动作
0 喜爱
0 不喜欢
0 注释
分享到社交网络
分享链接
通过邮件分享

登录 分享这个 webpage 通过电子邮件。